Build fails with seamonkey-1.0.1, seamonkey-1.0.2 and CVS sources under WinXP / VC8 Express

make output:
----------------------
make[4]: Entering directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
make[4]: `jpeg/Makefile' is up to date.
make[4]: `modules/zlib/Makefile' is up to date.
make[4]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
make[4]: Entering directory
`/cygdrive/c/mozilla/obj-i686-pc-cygwin/jpeg'
jdapimin.c
jdapistd.c
Building deps for /cygdrive/c/mozilla/jpeg/jdapimin.c
jdatasrc.c
Building deps for /cygdrive/c/mozilla/jpeg/jdapistd.c
jdatadst.c
Building deps for /cygdrive/c/mozilla/jpeg/jdatasrc.c
Building deps for /cygdrive/c/mozilla/jpeg/jdatadst.c
make[4]: *** [jdapimin.obj] Error 53
make[4]: *** Waiting for unfinished jobs....
make[4]: *** [jdapistd.obj] Error 53
make[4]: *** [jdatasrc.obj] Error 53
make[3]: *** [libs_tier_1] Error 2
make[3]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
make[2]: *** [tier_1] Error 2
make[2]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
make: *** [build] Error 2


config file:
------------------
#
# See http://www.mozilla.org/build/ for build instructions.
#

# Options for client.mk.
mk_add_options MOZ_CO_PROJECT=suite
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-@CONFIG_GUESS@
mk_add_options MOZ_MAKE_FLAGS=-j4
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZILLA_OFFICIAL=1

# > Hi.
# > I tried to build Mozilla Firefox with option "--enable-svg" and I
get
# > some error.
# > but option "--disable-svg", it work.
#
# > Error message:
# > LINK : warning LNK4044: unrecognized option
# > '/L../../dist/lib/components'; ignored
# > LIBC.lib(strcat.obj) : error LNK2005: _strcpy already defined in
# > MSVCRT.lib(MSVCR71.dll)
#
# The 1.8 branch currently doesn't build SVG with anything other than
MSVC6;
# bug is filed with a patch.
ac_add_options --disable-svg

# more "i'm desperate to build" stuff
ac_add_options --disable-jsloader
ac_add_options --disable-xpfe-components
ac_add_options --disable-xpinstall
#ac_add_options --disable-xpcom-obsolete # configure: error: Building
without xpcom-obsolete isn't support when building full profile
support.
ac_add_options --disable-xpcom-fastload
ac_add_options --enable-static
ac_add_options --disable-shared
ac_add_options --enable-extensions=default
ac_add_options --disable-debug

# Options for 'configure' (same as command-line options).
ac_add_options --enable-application=suite
ac_add_options --enable-ui-locale=de-AT
ac_add_options --disable-mailnews
ac_add_options --disable-ldap
ac_add_options --disable-freetype2
ac_add_options --disable-xft
ac_add_options --disable-xprint
ac_add_options --disable-gnomevfs
ac_add_options --disable-gnomeui
ac_add_options --disable-crypto
ac_add_options --disable-jsd
ac_add_options --disable-oji
ac_add_options --disable-accessibility
ac_add_options --disable-printing
ac_add_options --disable-mathml
ac_add_options --disable-xpconnect-idispatch
ac_add_options --disable-activex
ac_add_options --disable-activex-scripting

cygwin.bat:
---------------------
set MOZ_SOURCE=C:\mozilla
set HOME=C:\home
set VCVARS=C:\Program Files\Microsoft Visual Studio
8\VC\bin\vcvars32.bat
set MSSDK=C:\Program Files\Microsoft Platform SDK for Windows Server
2003 R2
set MOZ_TOOLS=C:\moztools
set PATH=%PATH%;%MOZ_TOOLS%\bin
set CYGWINBASE=C:\cygwin
set PATH=%CYGWINBASE%;%PATH%
call "%VCVARS%"
set PATH=%MSSDK%\bin;%PATH%
set INCLUDE=%MSSDK%\include;%INCLUDE%
set LIB=%MSSDK%\lib;%LIB%


I'm pretty clueless on how to resolve this error. I'd appreciate any
pointers very much.

TIA
bdbit

0
bernhard
7/6/2006 9:29:27 AM
mozilla.dev.builds 1750 articles. 0 followers. Post Follow

2 Replies
773 Views

Similar Articles

[PageSpeed] 52

bernhard.hermann@gmail.com wrote:
> make output:
> ----------------------
> make[4]: Entering directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
> make[4]: `jpeg/Makefile' is up to date.
> make[4]: `modules/zlib/Makefile' is up to date.
> make[4]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
> make[4]: Entering directory
> `/cygdrive/c/mozilla/obj-i686-pc-cygwin/jpeg'
> jdapimin.c
> jdapistd.c
> Building deps for /cygdrive/c/mozilla/jpeg/jdapimin.c
> jdatasrc.c
> Building deps for /cygdrive/c/mozilla/jpeg/jdapistd.c
> jdatadst.c
> Building deps for /cygdrive/c/mozilla/jpeg/jdatasrc.c
> Building deps for /cygdrive/c/mozilla/jpeg/jdatadst.c
> make[4]: *** [jdapimin.obj] Error 53
> make[4]: *** Waiting for unfinished jobs....
> make[4]: *** [jdapistd.obj] Error 53
> make[4]: *** [jdatasrc.obj] Error 53
> make[3]: *** [libs_tier_1] Error 2
> make[3]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
> make[2]: *** [tier_1] Error 2
> make[2]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
> make[1]: *** [default] Error 2
> make[1]: Leaving directory `/cygdrive/c/mozilla/obj-i686-pc-cygwin'
> make: *** [build] Error 2
[...]

Did you install the Platform SDK as stated under 
http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites#Platform_SDK?

Frank
0
Frank
7/6/2006 9:44:59 AM
Frank Wein schrieb:
> [...]
>
> Did you install the Platform SDK as stated under
> http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites#Platform_SDK?
>
> Frank

Yes, as you can probably see from having MSSDK set in my cygwin.bat.
Is there any way I can verify if it is really being accessed?

best regards
bdbit

0
bernhard
7/6/2006 9:46:06 AM
Reply:

Similar Artilces:

superreview granted: [Bug 362139] bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch : [Attachment 246921] 1.8.0 patch: SeaMonkey version -> 1.0.7
neil@parkwaycc.co.uk <neil@httl.net> has granted Robert Kaiser <kairo@kairo.at>'s request for superreview: Bug 362139: bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch https://bugzilla.mozilla.org/show_bug.cgi?id=362139 Attachment 246921: 1.8.0 patch: SeaMonkey version -> 1.0.7 https://bugzilla.mozilla.org/attachment.cgi?id=246921&action=edit ...

superreview requested: [Bug 362139] bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch : [Attachment 246921] 1.8.0 patch: SeaMonkey version -> 1.0.7
Robert Kaiser <kairo@kairo.at> has asked neil@parkwaycc.co.uk <neil@httl.net> for superreview: Bug 362139: bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch https://bugzilla.mozilla.org/show_bug.cgi?id=362139 Attachment 246921: 1.8.0 patch: SeaMonkey version -> 1.0.7 https://bugzilla.mozilla.org/attachment.cgi?id=246921&action=edit ------- Additional Comments from Robert Kaiser <kairo@kairo.at> This is the 1.8.0 branch patch for bumping SeaMonkey version to 1.0.7 ...

superreview requested: [Bug 362139] bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch : [Attachment 246922] 1.8 patch: SeaMonkey version -> 1.1, localeVe
Robert Kaiser <kairo@kairo.at> has asked neil@parkwaycc.co.uk <neil@httl.net> for superreview: Bug 362139: bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch https://bugzilla.mozilla.org/show_bug.cgi?id=362139 Attachment 246922: 1.8 patch: SeaMonkey version -> 1.1, localeVersion -> 1.8.1 https://bugzilla.mozilla.org/attachment.cgi?id=246922&action=edit ------- Additional Comments from Robert Kaiser <kairo@kairo.at> ...and here's the 1.8 branch patch, setting SeaMonkey version to 1.1 for final, and locale...

superreview granted: [Bug 362139] bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch : [Attachment 246922] 1.8 patch: SeaMonkey version -> 1.1, localeVers
neil@parkwaycc.co.uk <neil@httl.net> has granted Robert Kaiser <kairo@kairo.at>'s request for superreview: Bug 362139: bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch https://bugzilla.mozilla.org/show_bug.cgi?id=362139 Attachment 246922: 1.8 patch: SeaMonkey version -> 1.1, localeVersion -> 1.8.1 https://bugzilla.mozilla.org/attachment.cgi?id=246922&action=edit ...

SeaMonkey 1.1.1 and 1.0.8 he-IL #2
Hebrew SeaMonkey 1.1.1 and 1.0.8 win32 installer and langpack are now available. 1.1.1 win32 installer: http://downloads.sourceforge.net/hebmoz/seamonkey-1.1.1.he-IL.win32.installer.exe?use_mirror=osdn 1.1.1 langpack: http://downloads.sourceforge.net/hebmoz/seamonkey-1.1.1.he-IL.langpack.xpi?use_mirror=osdn 1.0.8 win32 installer: http://downloads.sourceforge.net/hebmoz/seamonkey-1.0.8.he-IL.win32.installer.exe?use_mirror=osdn 1.0.8 langpack: http://downloads.sourceforge.net/hebmoz/seamonkey-1.0.8.he-IL.langpack.xpi?use_mirror=osdn the language packs should be used with the...

superreview granted: [Bug 336772] bump SeaMonkey version to 1.0.2 on 1.8.0 branch : [Attachment 220956] bump version number to 1.0.2
neil@parkwaycc.co.uk <neil@httl.net> has granted Robert Kaiser <kairo@kairo.at>'s request for superreview: Bug 336772: bump SeaMonkey version to 1.0.2 on 1.8.0 branch https://bugzilla.mozilla.org/show_bug.cgi?id=336772 Attachment 220956: bump version number to 1.0.2 https://bugzilla.mozilla.org/attachment.cgi?id=220956&action=edit ...

superreview requested: [Bug 336772] bump SeaMonkey version to 1.0.2 on 1.8.0 branch : [Attachment 220956] bump version number to 1.0.2
Robert Kaiser <kairo@kairo.at> has asked neil@parkwaycc.co.uk <neil@httl.net> for superreview: Bug 336772: bump SeaMonkey version to 1.0.2 on 1.8.0 branch https://bugzilla.mozilla.org/show_bug.cgi?id=336772 Attachment 220956: bump version number to 1.0.2 https://bugzilla.mozilla.org/attachment.cgi?id=220956&action=edit ------- Additional Comments from Robert Kaiser <kairo@kairo.at> OK, here's the patch. If still check in before the freeze today nightnight, we can go without additional drivers' approval, else we need to request that as well. ...

SeaMonkey 1.0.1 and Firefox 1.5, 2.0, 3.0 version can be said to be a same at code level
Dear, I am pursuing my research in the field of sotware maintainence at preventive level. i had published some of my research paper in ACM SIGSOFT SEN. As per my research i designed the metrics model for smelly classes with the help of firefox three versions and then i had validated or tested the metrics model with the one version of SeaMonkey. I got the review upon my research that SeaMonkey and Firefox are same at the code level. These cannot be treated as two different data set. But what i had read is they both only usage the same Gecko engine from your website. Some more from yo...

SeaMonkey 1.0.8 and 1.1.1
Hi localizers, Sorry for not informing you earlier on, but first we had to do a few respins and then I was too busy with the FOSDEM conference... Anyways, we're about to release the newest SeaMonkey security and stability update releases right now, with the version numbers 1.0.8 and 1.1.1 Due to our L10n freezes, both work with the language packs from earlier versions (1.0 or 1.1), but if you want binary builds up on FTP, you need to regenerate them for those versions. Both are already up in their respective release directories: http://releases.mozilla.org/pub/mozill...

superreview granted: [Bug 343481] bump SeaMonkey version to 1.0.3 on 1.8.0 branch : [Attachment 227962] bump version number to 1.0.2
neil@parkwaycc.co.uk <neil@httl.net> has granted Robert Kaiser <kairo@kairo.at>'s request for superreview: Bug 343481: bump SeaMonkey version to 1.0.3 on 1.8.0 branch https://bugzilla.mozilla.org/show_bug.cgi?id=343481 Attachment 227962: bump version number to 1.0.2 https://bugzilla.mozilla.org/attachment.cgi?id=227962&action=edit ------- Additional Comments from neil@parkwaycc.co.uk <neil@httl.net> I edited the attachment description ;-) ...

superreview requested: [Bug 343481] bump SeaMonkey version to 1.0.3 on 1.8.0 branch : [Attachment 227962] bump version number to 1.0.2
Robert Kaiser <kairo@kairo.at> has asked neil@parkwaycc.co.uk <neil@httl.net> for superreview: Bug 343481: bump SeaMonkey version to 1.0.3 on 1.8.0 branch https://bugzilla.mozilla.org/show_bug.cgi?id=343481 Attachment 227962: bump version number to 1.0.2 https://bugzilla.mozilla.org/attachment.cgi?id=227962&action=edit ------- Additional Comments from Robert Kaiser <kairo@kairo.at> Here's the patch - let's get ready for this security release. ...

SeaMonkey 1.1.18 vs SeaMonkey 2.1 (if/when 2.1 is released)
I will clearly state that I am not a computer whiz...thus, I have a number of concerns regarding SeaMonkey 2.0 installation on my system. I have been reading the many SeaMonkey 2.0 messages on this newsgroup with some concern about my ability to fix the problems that could occur with the installation of 2.0. It seems that the move from 1.1.18 to 2.0 is not happening without a number of glitches along the way. Thus, in light of what I have read, I am wondering if it would wise for me to wait for a future release of SeaMonkey before upgrading my system...I suppose I am hoping tha...

SeaMonkey 1.1.1 and 1.0.8 he-IL
Hebrew SeaMonkey 1.1.1 and 1.0.8 win32 installer and langpack are now available. 1.1.1 win32 installer: http://downloads.sourceforge.net/hebmoz/seamonkey-1.1.1.he-IL.win32.installer.exe?use_mirror=osdn 1.1.1 langpack: http://downloads.sourceforge.net/hebmoz/seamonkey-1.1.1.he-IL.langpack.xpi?use_mirror=osdn 1.0.8 win32 installer: http://downloads.sourceforge.net/hebmoz/seamonkey-1.0.8.he-IL.win32.installer.exe?use_mirror=osdn 1.0.8 langpack: http://downloads.sourceforge.net/hebmoz/seamonkey-1.0.8.he-IL.langpack.xpi?use_mirror=osdn the language packs should be used with the...

SeaMonkey 1.1.1, 1.0.8 in Belarusian
Belarusian [be-BY] localizations for SeaMonkey 1.1.1, 1.0.8 are available. Language Packs: http://prdownloads.sourceforge.net/mozilla-be/seamonkey-1.1.1.20070325.be-BY.langpack.xpi?download http://prdownloads.sourceforge.net/mozilla-be/seamonkey-1.0.8.20070325.be-BY.langpack.xpi?download MLP-staff: Please, upload the file to ftp.mozilla.org. Thank you in advance. Siarhei Please, use the following links to download the packs: http://prdownloads.sourceforge.net/mozilla-be/seamonkey-1.1.1.be-BY.langpack.xpi?download http://prd...

Web resources about - Build fails with seamonkey-1.0.1, seamonkey-1.0.2 and CVS sources under WinXP / VC8 Express - mozilla.dev.builds

Resources last updated: 11/24/2015 4:14:54 AM